View Issue Details

IDProjectCategoryView StatusLast Update
0006778Multi Theft Auto : San AndreasClientpublic2012-01-24 19:44
ReporterHyunsu2Assigned Toccw 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.3Fixed in Version1.3 
Summary0006778: Korean characters are broken only when it was typed in chatbox.
Description

It had not been happend by MTA 1.0.5
but it has been happend since MTA 1.1.0

Now in MTA 1.2.0, Making Server that is written by korean is possible.
and all GUI is possible to be written by korean.

But only, Chatting is impossible.
because when i type korean in chatbox, the characters are broken(incorrect).

("outputChatBox" works well. )

TagsNo tags attached.

Relationships

has duplicate 0006577 closed New issues Korean chat is wrong 
child of 0006375 closed New issues Unicode issues 

Activities

Hyunsu2

2012-01-05 10:27

viewer   ~~0015621

"Product Build" is wrong.
it is "1.1.0 ~ 1.2.0"

jhxp

2012-01-05 10:31

administrator   ~~0015622

Last edited: 2012-01-05 13:58

Duplicate issue - please repost this as a note in #6405 .
If you are sure it also happens in 1.1.0, not just in 1.1.1, make sure to include that in the note too.

ccw

2012-01-06 10:24

administrator   ~~0015642

Unduplicated to keep Korean issue separate

ccw

2012-01-06 10:26

administrator   ~~0015643

Does using the client console command 'say' work?

i.e.:
F8
say xxxxx

Hyunsu2

2012-01-06 10:40

viewer   ~~0015645

Last edited: 2012-01-07 09:19

Sorry, my report was wrong.

In MTA 1.0.5, GUI can not be written by korean. i can type korean in chat(not console)

In MTA 1.1.0, GUI can be written by korean. i can't type korean in chat.(console too )

In MTA 1.2.0, GUI can not be written by korean. i can't type korean in chat.(console too )

In all version, outputChatBox works well and letters written korean in chatbox are shown well.

("console" is client console.(not server))

ccw

2012-01-06 21:22

administrator   ~~0015652

What do you mean by "GUI can be written"?

Hyunsu2

2012-01-07 00:56

viewer   ~~0015653

Last edited: 2012-01-07 00:56

The string in GUI can be written by korean. (i.e. server name in browser, gui label.....)

ccw

2012-01-07 08:44

administrator   ~~0015660

Please try this:

  1. Press F8 to open the client console
  2. Copy and paste the line at the following link into the console input and press enter:
    http://pastebin.com/N4dZBVkT
  3. Upload a screen shot showing the chat area and open console

RiginOAL

2012-01-07 10:59

viewer   ~~0015662

ccw
that's so annoying!
maybe we could do it with windowmode

Hyunsu2

2012-01-07 11:08

viewer   ~~0015664

http://i42.tinypic.com/nc1bn5.png

works well.

ccw

2012-01-07 12:54

administrator   ~~0015666

Does it display correctly in the chatbox ?

Hyunsu2

2012-01-07 14:07

viewer   ~~0015667

yes it does. Korean is shown well at consolebox and chatbox. but i can not type korean in consolebox and chatbox. So i have to copy korean to write korean.

ccw

2012-01-07 15:11

administrator   ~~0015669

How do you normally type Korean characters?

Hyunsu2

2012-01-07 15:59

viewer   ~~0015672

what? sorry i dont understand. I just push 't' and type korean. Then korean characters appear incorrectly.

ccw

2012-01-10 00:24

administrator   ~~0015686

Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=3673

Issue History

Date Modified Username Field Change